List organization security workloads
import requests
url = "https://platform.ankra.app/org/security/workloads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/workloads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/workloads \
--header 'Authorization: Bearer <token>'{
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"accepted_risk": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"acknowledged": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"actionable": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"addon_attribution": {
"ambiguous": 123,
"matched": 123,
"partial": true,
"status": "matched",
"unmatched": 123
},
"addon_slug": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"fixable_severe": 123,
"id": "<string>",
"image_digest": "<string>",
"image_ref": "<string>",
"last_scan": "2023-11-07T05:31:56Z",
"observed": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"priority": "critical",
"risk_score": 123,
"scanner_status": "fresh",
"workload_kind": "<string>",
"workload_name": "<string>",
"workload_namespace": "<string>",
"workload_uid": "<string>",
"known_exploited": 123
}
],
"scanner": {
"fresh_clusters": 123,
"last_scan": "2023-11-07T05:31:56Z",
"stale_after_seconds": 123,
"stale_clusters": 123,
"status": "fresh",
"unscanned_clusters": 123
}
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
List organization security workloads
GET
/
org
/
security
/
workloads
List organization security workloads
import requests
url = "https://platform.ankra.app/org/security/workloads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/workloads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/workloads \
--header 'Authorization: Bearer <token>'{
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"accepted_risk": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"acknowledged": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"actionable": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"addon_attribution": {
"ambiguous": 123,
"matched": 123,
"partial": true,
"status": "matched",
"unmatched": 123
},
"addon_slug": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"fixable_severe": 123,
"id": "<string>",
"image_digest": "<string>",
"image_ref": "<string>",
"last_scan": "2023-11-07T05:31:56Z",
"observed": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"priority": "critical",
"risk_score": 123,
"scanner_status": "fresh",
"workload_kind": "<string>",
"workload_name": "<string>",
"workload_namespace": "<string>",
"workload_uid": "<string>",
"known_exploited": 123
}
],
"scanner": {
"fresh_clusters": 123,
"last_scan": "2023-11-07T05:31:56Z",
"stale_after_seconds": 123,
"stale_clusters": 123,
"status": "fresh",
"unscanned_clusters": 123
}
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 10000Values above 100 are clamped to 100.
Required range:
x >= 1Available options:
critical, high, medium, low, unknown Available options:
open, actionable, acknowledged, accepted_risk, mixed Available options:
risk_score, priority, severity, last_scan, observed, actionable, fixable_severe, workload_name, image_ref, cluster_name, addon_attribution Available options:
asc, desc Keep only findings whose CVE is (true) or is not (false) listed in the CISA Known Exploited Vulnerabilities catalog.